//
//  Camera.h
//  prog2
//
//  Created by Neil Killeen on 6/3/13.
//  Copyright (c) 2013 Neil Killeen. All rights reserved.
//

#ifndef __prog2__Camera__
#define __prog2__Camera__

#include <iostream>
#include "Angel.h"

class Camera {
public:
    void pan(const vec4 &direction);
    void rotate(const GLfloat &degrees);
    void zoom(const GLfloat &percentage);
    
    mat4& getCameraView() { return c_view; }
private:
    mat4 c_view;
};

#endif /* defined(__prog2__Camera__) */
